Subject: Re: Google Summer of Code 2009

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 12 Jan 2009 07:37:35 -0800

Andreas Ericsson <[email-masked]> wrote:
> Just chiming in that I can probably help mentoring whoever goes
> with libgit2. I do not have enough spare time for me to promise
> that I can be there as much as I think is necessary and proper,
> but I'll gladly help out.

Thanks.  I'd love to see a libgit2 project this summer.

If we do have such a thing, and if I'm still wearing the maintainer
hat for libgit2, I think it would be improper for me to be the mentor
for the student.  Just as Junio abstains from mentoring any students
in GSoC, to prevent potential bias during patch review, I probably
should abstain in the case of libgit2.  Or at least move the project
to a dual-maintainer approach like we use with JGit, so the other
maintainer is the one doing the actual review and patch acceptance.

-- 
Shawn.